@conversationai/wpconvlib

JS/TS library for working with talk page conversations on Wikipedia.

Stats

StarsIssuesVersionUpdatedCreatedSize
@conversationai/wpconvlib
0.0.53 years ago4 years agoMinified + gzip package size for @conversationai/wpconvlib in KB

Readme

Wikipedia Conversation Lib

This directory contains some tools to support structuing comments in a Wikipedia Talk page conversation as ingested by

Setup

This is a standard nodejs/yarn project. You need to have installed npm and node (Recommended to install using nvm, the node version manager).

Once you have npm, install yarn and typescript globally with:

npm install -g yarn typescript

Then, from this directory, you can setup the this node package with:

yarn install

Build and test

yarn run test
yarn run build

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.